package agilpizza.dao;

import static junit.framework.Assert.assertEquals;

import java.util.List;

import org.junit.Test;

import agilpizza.modelo.Pizza;

public class PizzaDAOTest {

	@Test
	public void testePizzaDAO() throws Exception{

		PizzaDAO pizza = new PizzaDAO();
		
		List<Pizza> pizzas = pizza.buscaPizzasTradicionais();
		
		assertEquals("Numero de pizzas incorreto",10,pizzas.size());
		assertEquals("Pizza de Muzzarella não encontrada","Muzzarella",pizzas.get(0).getNome());
		assertEquals("Pizza de Portuguesa não encontrada","Portuguesa",pizzas.get(1).getNome());
		assertEquals("Pizza de Vegetariana não encontrada","Vegetariana",pizzas.get(2).getNome());
	} 
	
}
